import { Config, Account, UnsignedTx, Update, ImportMnemonic, AddressBookItem, ImportPrivateKey } from './types';
export declare class EmeraldVaultNative {
    private conf;
    constructor(conf?: Config | undefined);
    vaultVersion(): string;
    listAccounts(chain: string): Array<Account>;
    importAccount(chain: string, data: any): string;
    importPk(chain: string, data: ImportPrivateKey): string;
    exportPk(chain: string, address: string, password: string): string;
    exportAccount(chain: string, address: string): any;
    updateAccount(chain: string, address: string, update: Update): boolean;
    removeAccount(chain: string, address: string): boolean;
    signTx(chain: string, tx: UnsignedTx, password: string): string;
    importMnemonic(chain: string, mnemonic: ImportMnemonic): string;
    generateMnemonic(size: number): string;
    listAddressBook(chain: string): AddressBookItem[];
    addToAddressBook(chain: string, item: AddressBookItem): boolean;
    removeFromAddressBook(chain: string, address: string): boolean;
}
